## invaders 1.0.0

=== debian/changelog ===
invaders (1.0.0-19) unstable; urgency=medium

  * Substitute $STRIP in debian/rules

 -- Fabian Greffrath <fabian@debian.org>  Thu, 20 Mar 2025 11:25:24 +0100

invaders (1.0.0-18) unstable; urgency=medium

  * Substitute $OBJCOPY in the ./compile.sh script as well

 -- Fabian Greffrath <fabian@debian.org>  Thu, 20 Mar 2025 07:36:40 +0100

invaders (1.0.0-17) unstable; urgency=medium

  * Export buildtools in debian/rules

 -- Fabian Greffrath <fabian@debian.org>  Tue, 18 Mar 2025 14:37:26 +0100

invaders (1.0.0-16) unstable; urgency=medium

  * Substitute ${CC} in the ./compile.sh script
  * Mark the text region as RX and the data region as RW in the linker
    script
  * Update the qemu-system-x86_64 invocation line in README.Debian
  * Do not redefine bool/true/false for C23 compliant compilers
    (Closes: #1096844)
  * Add --param=min-pagesize=0 to CFLAGS to declare the first 4k as
    valid memory
  * Bump debian/watch file standard to 4
  * Bump Standards-Version to 4.7.0
  * Rules-Requires-Root: no
  * Update my Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Tue, 25 Feb 2025 17:24:15 +0100

invaders (1.0.0-15) unstable; urgency=medium

  * Improvements to the linker script:
    + Rename  to debian/invaders.ld.
    + Add a PROVIDE rule to enable linking on platforms with
      underscore-prefixed assembly symbol names.
    + Link more sections into the ELF binary.
  * Override dh_dwz with an empty rule.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 20 Jul 2020 21:12:41 +0200

invaders (1.0.0-14) unstable; urgency=medium

  * Update Uploaders field to my Debian address.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Update Vcs-* fields to point to the Salsa GIT repository.
  * Add "Enhances: grub2-common" relationship, as we call update-grub2
    in the maintainer scripts.
  * Add "Suggests: qemu-system-x86" relationship, as it is possible to
    run the game directly in QEMU.
  * 01-misspelling-loose.patch: Improve word spacing.
  * 04-change-colors.patch: Reset colors when game is restarted.
  * Add a minimal linker script to fix FTBFS ("PHDR segment not
    covered by LOAD segment") with current binutils (see #958525).
  * 06-speed-up.patch: New patch, speed up alien ships up to about
    factor 2 when all are destroyed.
  * 02-build-flags.patch: Add "-fno-stack-protector" to CFLAGS for
    compilers that default to this build flag.
  * 02-build-flags.patch: Remove "-W" from CFLAGS to silence a useless
    warning.
  * Do not call dh_strip at all, we do not want a -dbgsym package
    anyway.
  * Only call update-grub2 in maintainer scripts if
    /boot/grub/grub.cfg already exists (LP: #1876411).
  * Add a README.Debian file to document that Secure Boot needs to be
    disabled (see #958894) and how to run the game in QEMU.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 09 May 2020 12:30:17 +0200

invaders (1.0.0-13) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Fabian Greffrath ]
  * Fix ftbfs with GCC-5 (Closes: #777915).
    + 02-static-inline.patch: Declare ins##s() and outs##s() as
      "static inline" as well.
    + 03-reboot-on-esc.patch: Declare reboot() as "static inline",
      since it calls outb() which is static inline itself.
  * Fix unversioned debian/copyright format URI.
  * Bump Standards-Version and remove obsolete DM-Upload-Allowed field.
  * Bump debhelper compat level to 9.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 27 Apr 2015 10:22:14 +0200

invaders (1.0.0-12) unstable; urgency=low

  [ Fabian Greffrath ]
  * Split 01-pointer-targets-differ-in-signedness.patch into two separate
    patches: 01-misspelling-loose.patch and 01-uint8-char.patch.
  * Rename 02-gcc-ldflags.patch to 02-build-flags.patch, clean up CFLAGS
    and LDFLAGS a bit (we don't need -m32 twice) and replace -Werror with -W.
  * 02-static-inline.patch: Replace "extern inline" with "static inline" in
    io.h to allow for non-optimized builds.
  * 04-change-colors.patch: Use PgUp and PgDown to toggle through the color
    palette and use a secret key to toggle "psychedelic mode". ;)
  * 05-pause.patch: Use "P" to pause and resume.
  * Add DEP-3 compliant headers to all patches.
  * Make debian/copyright DEP-5 compliant and update Debian packaging license.
  * Update Standards-Version to 3.9.2.
  * Set Architecture to "any-i386 any-amd64" instead of a hard-coded list.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue, 01 Nov 2011 14:12:46 +0100

invaders (1.0.0-11) unstable; urgency=low

  [ Fabian Greffrath ]
  * Refreshed all patches.
  * debian/patches/03-reboot-on-esc.patch: Only reboot when the ESC key
    is pressed in-game, not during the GAME OVER screen.
  * Relaxed debhelper build-dependency a bit.
  * Updated my email address.
  * Removed spurious removal of an obsoleted config file.
  * Converted packaging to source format "3.0 (quilt)".

  [ Stefan Potyra ]
  * Add myself to uploaders.

  [ Fabian Greffrath ]
  * Set DM-Upload-Allowed: yes.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 22 Dec 2009 08:52:16 +0100

invaders (1.0.0-10) unstable; urgency=low

  [ Stefan Potyra ]
  * Fix build failures if stack-protector is enabled by default,
    thanks to Kees Cook for the patches:
    + rename debian/patches/02-amd64.patch to 02-gcc-ldflags.patch
    + move -nostdlib to CFLAGS, as it's a compiler flag
    + use CFLAGS for linking as well (since gcc is used)

  [ Fabian Greffrath ]
  * debian/patches/02-gcc-ldflags.patch: Replace -fno-builtin with
    -ffreestanding, the latter implies the former and is even stricter.
  * debian/patches/03-reboot-on-esc.patch: New patch, perform a reboot
    when the ESC key is pressed. Relies on the keyboard controller available
    at port 0x64 (just as the whole game does anyway).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Fri, 13 Nov 2009 13:44:59 +0100

invaders (1.0.0-9) unstable; urgency=low


