=== debian/control ===
Source: invaders
Section: kernel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>,
           Stefan Potyra <sistpoty@ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://www.erikyyy.de/invaders/
Vcs-Git: https://salsa.debian.org/games-team/invaders.git
Vcs-Browser: https://salsa.debian.org/games-team/invaders
Rules-Requires-Root: no

Package: grub-invaders
Architecture: any-i386 any-amd64
Depends: ${misc:Depends}
Enhances: grub2-common
Suggests: qemu-system-x86
Description: multiboot compliant kernel game
 GRUB Invaders is a game that runs directly on a computer, without an operating
 system. It is meant to be started with the GRUB bootloader for PCs.
