=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	sh ./compile.sh

override_dh_auto_clean:
	sh ./clean.sh

execute_after_dh_fixperms:
	chmod 0644 debian/grub-invaders/boot/invaders.exec
	chmod 0755 debian/grub-invaders/etc/grub.d/22_invaders

override_dh_dwz:
override_dh_strip:
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	$(STRIP) --remove-section=.comment --remove-section=.note \
	debian/grub-invaders/boot/invaders.exec
endif
