=== debian/watch ===
version=4
http://www.erikyyy.de/invaders/invaders-(.*)\.tar\.gz
